!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = client1
MAIN = samples.rmi1.Hello7Client
!include ..\make.defs

SRCS = \
        src\samples\rmi1\Hello7.java         \
        src\samples\rmi1\Hello7Client.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) snjrmi.lib

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(EXE_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\*.obj
        del out\samples\rmi1\*.class
        del out\samples\rmi1\*.obj
        del client1.cdb
        del client1.tdb
        del client1.exe
        del client1.map

!endif