!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = hello3

!include ..\make.defs

SRCS = \
        src\samples\dynamicDLL\Hello3.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) -export "samples.dynamicDLL.*"

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(DLL_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\samples\dynamicDLL\*.class
        del out\samples\dynamicDLL\*.obj
        del hello3.cdb
        del hello3.dll
        del hello3.lib
        del hello3.tdb
        del hello3.map


!endif