!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = hello7

!include ..\make.defs

SRCS = \
        src\samples\rmi1\Hello7.java              \
        out\samples\rmi1\Hello7Server_Skel.java   \
        out\samples\rmi1\Hello7Server_Stub.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) -export "samples.rmi1.*" snjrmi.lib
RMIC_FLAGS = -d out -classpath out;$(RUNTIME_CLASSES) -keepgenerated

default :
        rmic samples.rmi1.Hello7Server $(RMIC_FLAGS)
        $(JC) $(SRCS) $(JC_FLAGS) $(DLL_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\samples\rmi1\*.class
        del out\samples\rmi1\*.obj
        del hello7.cdb
        del hello7.dll
        del hello7.lib
        del hello7.tdb
        del hello7.map


!endif