!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = jmscale

!include ..\..\make.defs

SRCS = \
        src\samples\conversion\JmScale.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) -export "samples.conversion.*" snjawt.lib symbeans.lib

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(DLL_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\samples\conversion\*.class
        del out\samples\conversion\*.obj
        del jmscale.cdb
        del jmscale.dll
        del jmscale.lib
        del jmscale.tdb
        del jmscale.map


!endif