!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = server2
MAIN = samples.rmi2.Hello8Server
!include ..\make.defs

SRCS = \
        src\samples\rmi2\Hello8.java             \
        src\samples\rmi2\Hello8Server.java       \
        out\samples\rmi2\Hello8Server_Skel.java  \
        out\samples\rmi2\Hello8Server_Stub.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) snjrmi.lib

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(EXE_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\*.obj
        del out\samples\rmi2\*.class
        del out\samples\rmi2\*.obj
        del out\samples\rmi2\*.java
        del server2.cdb
        del server2.tdb
        del server2.exe
        del server2.map

!endif