!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = staticDLL
MAIN = samples.staticDLL.Main2
!include ..\make.defs

SRCS = \
        src\samples\staticDLL\Main2.java 

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) hello2.lib

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(EXE_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\*.obj
        del out\samples\staticDLL\*.class
        del out\samples\staticDLL\*.obj
        del staticDLL.cdb
        del staticDLL.tdb
        del staticDLL.exe
        del staticDLL.map

!endif