!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = dynamicDLL
MAIN = samples.dynamicDLL.Main3
!include ..\make.defs

SRCS = \
        src\samples\dynamicDLL\Main3.java 

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) 

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(EXE_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\*.obj
        del out\samples\dynamicDLL\*.class
        del out\samples\dynamicDLL\*.obj
        del dynamicDLL.cdb
        del dynamicDLL.tdb
        del dynamicDLL.exe
        del dynamicDLL.map

!endif