!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = hello2

!include ..\make.defs

SRCS = \
        src\samples\staticDLL\Hello2.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) -export "samples.staticDLL.*"

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(DLL_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\samples\staticDLL\*.class
        del out\samples\staticDLL\*.obj
        del hello2.cdb
        del hello2.dll
        del hello2.lib
        del hello2.tdb
        del hello2.map


!endif