!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = hello6

!include ..\make.defs

SRCS = \
        src\samples\jni2\Hello6.java

JC_EXTRA_FLAGS = -d out -classpath src;out;$(RUNTIME_CLASSES) -export "samples.jni2.*"

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(DLL_LINK)  $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\samples\jni2\*.class
        del out\samples\jni2\*.obj
        del hello6.cdb
        del hello6.dll
        del hello6.lib
        del hello6.tdb
        del hello6.map


!endif