!if !defined( build )
default :
    @echo You must specify a debug or release build.  Do so with
    @echo either build=debug or build=release.
    @echo You can delete compiler output with
    @echo make build=debug clean
    @echo or
    @echo make build=release clean
    @echo You can rebuild everything with
    @echo make build=debug all
    @echo or
    @echo make build=release all

!else

MODULE = step5
MAIN = samples.conversion.MainFrame
!include ..\..\make.defs

SRCS = \
        src\samples\conversion\Applet1.java \
        src\samples\conversion\MainFrame.java \
        src\samples\conversion\ScrollingText.java

JC_EXTRA_FLAGS = -W -d out -classpath src;out;$(RUNTIME_CLASSES) snjawt.lib symbeans.lib jmscale.lib

default :
        $(JC) $(SRCS) $(JC_FLAGS) $(EXE_LINK) $(JC_EXTRA_FLAGS)

all : clean default


clean :
        del out\*.obj
        del out\samples\conversion\*.class
        del out\samples\conversion\*.obj
        del step5.cdb
        del step5.tdb
        del step5.exe
        del step5.map

!endif